enum GroupReceptAllowType { work, public, meeting }

class TIMUIKitChatConfig {
  /// control if allowed to show reading status
  final bool isShowReadingStatus;

  /// control if allowed to show reading status for group
  final bool isShowGroupReadingStatus;

  /// control if allowed to show the menu after long pressing message
  final bool isAllowLongPressMessage;

  /// control if allowed to callback after clicking the avatar
  final bool isAllowClickAvatar;

  /// control if allowed to show emoji face message panel
  final bool isAllowEmojiPanel;

  /// control if allowed to show more plus panel
  final bool isAllowShowMorePanel;

  /// control if allowed to send voice sound message
  final bool isAllowSoundMessage;

  /// control if allowed to at when reply automatically
  final bool isAtWhenReply;

  /// control which group can send message read receipt.
  final List<GroupReceptAllowType>? groupReadReceiptPermisionList;

  const TIMUIKitChatConfig(
      {this.isAtWhenReply = true,
      this.isAllowSoundMessage = true,
      this.groupReadReceiptPermisionList,
      this.isAllowEmojiPanel = true,
      this.isAllowShowMorePanel = true,
      this.isShowReadingStatus = true,
      this.isAllowLongPressMessage = true,
      this.isAllowClickAvatar = true,
      this.isShowGroupReadingStatus = true});
}
